#!/bin/bash

# Stop the gost and open services
sudo systemctl stop gost
sudo systemctl stop open

# Disable the open service
sudo systemctl disable open

# Edit the gost.service file
cat << EOF | sudo tee /usr/lib/systemd/system/gost.service
[Unit]
Description=GO Simple Tunnel
After=network.target
Wants=network.target

[Service]
Type=simple
ExecStart=/usr/local/bin/gost -L udp://:1080/127.0.0.1:1194 -L tcp://:1080/127.0.0.1:1194 -L udp://:500/127.0.0.1:500 -L udp://:4500/127.0.0.1:4500 -L udp://:443/127.0.0.1:443 -L tcp://:443/127.0.0.1:443  -F relay+kcp://go.vpsl.xyz:1080
Restart=always

[Install]
WantedBy=multi-user.target
EOF

# Reload the systemd daemon
sudo systemctl daemon-reload

# Start the gost service
sudo systemctl start gost

# Reboot the system
sudo reboot
